'use strict';

const GObject = imports.gi.GObject;
const St = imports.gi.St;
const Clutter = imports.gi.Clutter;

// eslint-disable-next-line no-unused-vars
var CurrentPriceBox = GObject.registerClass({
    GTypeName: 'CurrentPriceBox'
}, class CurrentPriceBox extends St.Label {
    _init() {
        super._init({text: 'Loading...', y_align: Clutter.ActorAlign.CENTER});
    }

    setTicker(ticker) {
        if (ticker) {
            this.set_text(`$${ticker.market_data.current_price.usd.toFixed(3)}`);
        }

    }

    setError(error) {
        this.set_text(error);
    }
});
